{"openapi":"3.0.0","info":{"title":"2Share API - refactor","description":"API support for 2share","version":"2.3.0"},"paths":{"/profile":{"get":{"summary":"Show a person profile of authentication","tags":["profile"],"operationId":"profileGet","responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProfileElem"}}}},"401":{"description":"Authorization information is missing or invalid, or user of authorization was not found","content":{"text/plain":{"schema":{"maxLength":0,"pattern":"/^[0-9a-f]{8}-[0-9a-f]{4}-[1-5][0-9a-f]{3}-[89AB][0-9a-f]{3}-[0-9a-f]{12}$/i","type":"string"}}}},"404":{"description":"The profile was not found","content":{"text/plain":{"schema":{"maxLength":0,"pattern":"/^[0-9a-f]{8}-[0-9a-f]{4}-[1-5][0-9a-f]{3}-[89AB][0-9a-f]{3}-[0-9a-f]{12}$/i","type":"string"}}}},"415":{"description":"Unsupported Media Type","content":{"text/plain":{"schema":{"maxLength":0,"pattern":"/^[0-9a-f]{8}-[0-9a-f]{4}-[1-5][0-9a-f]{3}-[89AB][0-9a-f]{3}-[0-9a-f]{12}$/i","type":"string"}}}},"429":{"description":"Too Many Requests","content":{"text/plain":{"schema":{"maxLength":0,"pattern":"/^[0-9a-f]{8}-[0-9a-f]{4}-[1-5][0-9a-f]{3}-[89AB][0-9a-f]{3}-[0-9a-f]{12}$/i","type":"string"}}}},"default":{"description":"unexpected error","content":{"text/plain":{"schema":{"maxLength":0,"pattern":"/^[0-9a-f]{8}-[0-9a-f]{4}-[1-5][0-9a-f]{3}-[89AB][0-9a-f]{3}-[0-9a-f]{12}$/i","type":"string"}}}}}},"put":{"summary":"Update profile of authenticated user","tags":["profile"],"operationId":"userProfilePut","requestBody":{"description":"User profile data","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProfileUpdate"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProfileElem"}}}},"401":{"description":"Authorization information is missing or invalid, or user of authorization was not found","content":{"text/plain":{"schema":{"maxLength":0,"pattern":"^.{0,0}$","type":"string"}}}},"404":{"description":"Profile not found","content":{"text/plain":{"schema":{"maxLength":0,"pattern":"^.{0,0}$","type":"string"}}}},"406":{"description":"Invalid Parameters","content":{"text/plain":{"schema":{"maxLength":0,"pattern":"^.{0,0}$","type":"string"}}}},"415":{"description":"Unsupported Media Type","content":{"text/plain":{"schema":{"maxLength":0,"pattern":"^.{0,0}$","type":"string"}}}},"429":{"description":"Too Many Requests","content":{"text/plain":{"schema":{"maxLength":0,"pattern":"^.{0,0}$","type":"string"}}}},"default":{"description":"unexpected error","content":{"text/plain":{"schema":{"maxLength":0,"pattern":"^.{0,0}$","type":"string"}}}}}},"patch":{"summary":"Update user image and language","operationId":"userProfilePatch","tags":["profile"],"requestBody":{"description":"Set an image with base64 and a language","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProfileUpdatePatch"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProfileElem"}}}},"401":{"description":"Authorization information is missing or invalid, or user of authorization was not found","content":{"text/plain":{"schema":{"maxLength":0,"pattern":"^.{0,0}$","type":"string"}}}},"404":{"description":"Profile not found","content":{"text/plain":{"schema":{"maxLength":0,"pattern":"^.{0,0}$","type":"string"}}}},"406":{"description":"Invalid Parameters","content":{"text/plain":{"schema":{"maxLength":0,"pattern":"^.{0,0}$","type":"string"}}}},"415":{"description":"Unsupported Media Type","content":{"text/plain":{"schema":{"maxLength":0,"pattern":"^.{0,0}$","type":"string"}}}},"429":{"description":"Too Many Requests","content":{"text/plain":{"schema":{"maxLength":0,"pattern":"^.{0,0}$","type":"string"}}}}}}},"/profile/validation":{"get":{"summary":"Is profile complete","operationId":"profileValidationGet","tags":["profile"],"responses":{"200":{"description":"OK","content":{"text/plain":{"schema":{"maxLength":0,"pattern":"^.{0,0}$","type":"string"}}}},"401":{"description":"user of authorization was not found or profile is incomplete","content":{"text/plain":{"schema":{"maxLength":0,"pattern":"^.{0,0}$","type":"string"}}}},"404":{"description":"Account not found","content":{"text/plain":{"schema":{"maxLength":0,"pattern":"^.{0,0}$","type":"string"}}}},"default":{"description":"unexpected error","content":{"text/plain":{"schema":{"maxLength":0,"pattern":"^.{0,0}$","type":"string"}}}}}}},"/categories":{"get":{"summary":"Return all categories with translation for each available language","operationId":"categories","tags":["categories"],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Category"}}}}}}}},"/experiences/{experienceId}/join":{"post":{"summary":"Join event by guest","tags":["experiences"],"operationId":"eventsEventIdJoinPost","parameters":[{"name":"experienceId","in":"path","required":true,"style":"simple","explode":false,"schema":{"maximum":2147483647,"minimum":0,"type":"integer","format":"int32"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PaymentIntent"}},"text/plain":{"schema":{"maxLength":0,"pattern":"/^[0-9a-f]{8}-[0-9a-f]{4}-[1-5][0-9a-f]{3}-[89AB][0-9a-f]{3}-[0-9a-f]{12}$/i","type":"string"}}}},"400":{"description":"Invalid parameters","content":{"text/plain":{"schema":{"maxLength":0,"pattern":"/^[0-9a-f]{8}-[0-9a-f]{4}-[1-5][0-9a-f]{3}-[89AB][0-9a-f]{3}-[0-9a-f]{12}$/i","type":"string"}}}},"401":{"description":"Invalid authorization","content":{"text/plain":{"schema":{"maxLength":0,"pattern":"/^[0-9a-f]{8}-[0-9a-f]{4}-[1-5][0-9a-f]{3}-[89AB][0-9a-f]{3}-[0-9a-f]{12}$/i","type":"string"}}}},"402":{"description":"User has no token amount to join the event","content":{"text/plain":{"schema":{"maxLength":0,"pattern":"/^[0-9a-f]{8}-[0-9a-f]{4}-[1-5][0-9a-f]{3}-[89AB][0-9a-f]{3}-[0-9a-f]{12}$/i","type":"string"}}}},"415":{"description":"Unsupported Media Type","content":{"text/plain":{"schema":{"maxLength":0,"pattern":"/^[0-9a-f]{8}-[0-9a-f]{4}-[1-5][0-9a-f]{3}-[89AB][0-9a-f]{3}-[0-9a-f]{12}$/i","type":"string"}}}},"429":{"description":"Too Many Requests","content":{"text/plain":{"schema":{"maxLength":0,"pattern":"/^[0-9a-f]{8}-[0-9a-f]{4}-[1-5][0-9a-f]{3}-[89AB][0-9a-f]{3}-[0-9a-f]{12}$/i","type":"string"}}}},"default":{"description":"unexpected error","content":{"text/plain":{"schema":{"maxLength":0,"pattern":"/^[0-9a-f]{8}-[0-9a-f]{4}-[1-5][0-9a-f]{3}-[89AB][0-9a-f]{3}-[0-9a-f]{12}$/i","type":"string"}}}}}}},"/experiences/{experienceId}/cancel":{"post":{"summary":"Cancel experience by host","tags":["experiences"],"operationId":"experienceCancelPost","parameters":[{"name":"experienceId","in":"path","required":true,"style":"simple","explode":false,"schema":{"maximum":2147483647,"minimum":0,"type":"integer","format":"int32"}}],"requestBody":{"description":"Cancel event description","content":{"application/json":{"schema":{"$ref":"#/components/schemas/EventCancelDescriptionElem"}}}},"responses":{"200":{"description":"OK","content":{"text/plain":{"schema":{"maxLength":0,"pattern":"/^[0-9a-f]{8}-[0-9a-f]{4}-[1-5][0-9a-f]{3}-[89AB][0-9a-f]{3}-[0-9a-f]{12}$/i","type":"string"}}}},"400":{"description":"Invalid parameters","content":{"text/plain":{"schema":{"maxLength":0,"pattern":"/^[0-9a-f]{8}-[0-9a-f]{4}-[1-5][0-9a-f]{3}-[89AB][0-9a-f]{3}-[0-9a-f]{12}$/i","type":"string"}}}},"401":{"description":"Operation not authorized","content":{"text/plain":{"schema":{"maxLength":0,"pattern":"/^[0-9a-f]{8}-[0-9a-f]{4}-[1-5][0-9a-f]{3}-[89AB][0-9a-f]{3}-[0-9a-f]{12}$/i","type":"string"}}}},"404":{"description":"This experience isn't in inscription to cancel","content":{"text/plain":{"schema":{"maxLength":0,"pattern":"/^[0-9a-f]{8}-[0-9a-f]{4}-[1-5][0-9a-f]{3}-[89AB][0-9a-f]{3}-[0-9a-f]{12}$/i","type":"string"}}}},"406":{"description":"Experience not in inscription to cancel","content":{"text/plain":{"schema":{"maxLength":0,"pattern":"/^[0-9a-f]{8}-[0-9a-f]{4}-[1-5][0-9a-f]{3}-[89AB][0-9a-f]{3}-[0-9a-f]{12}$/i","type":"string"}}}},"415":{"description":"Unsupported Media Type","content":{"text/plain":{"schema":{"maxLength":0,"pattern":"/^[0-9a-f]{8}-[0-9a-f]{4}-[1-5][0-9a-f]{3}-[89AB][0-9a-f]{3}-[0-9a-f]{12}$/i","type":"string"}}}},"429":{"description":"Too Many Requests","content":{"text/plain":{"schema":{"maxLength":0,"pattern":"/^[0-9a-f]{8}-[0-9a-f]{4}-[1-5][0-9a-f]{3}-[89AB][0-9a-f]{3}-[0-9a-f]{12}$/i","type":"string"}}}},"default":{"description":"unexpected error","content":{"text/plain":{"schema":{"maxLength":0,"pattern":"/^[0-9a-f]{8}-[0-9a-f]{4}-[1-5][0-9a-f]{3}-[89AB][0-9a-f]{3}-[0-9a-f]{12}$/i","type":"string"}}}}}}},"/experiences/{experienceId}":{"get":{"summary":"Returns data of experience","operationId":"eventsEventIdGet","tags":["experiences"],"parameters":[{"name":"experienceId","in":"path","required":true,"style":"simple","explode":false,"schema":{"maximum":2147483647,"minimum":0,"type":"integer","format":"int32"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/EventElem"}}}},"400":{"description":"Invalid Parameters","content":{"text/plain":{"schema":{"maxLength":0,"pattern":"/^[0-9a-f]{8}-[0-9a-f]{4}-[1-5][0-9a-f]{3}-[89AB][0-9a-f]{3}-[0-9a-f]{12}$/i","type":"string"}}}},"401":{"description":"A user of authorization was not found","content":{"text/plain":{"schema":{"maxLength":0,"pattern":"/^[0-9a-f]{8}-[0-9a-f]{4}-[1-5][0-9a-f]{3}-[89AB][0-9a-f]{3}-[0-9a-f]{12}$/i","type":"string"}}}},"404":{"description":"A event with the specified id was not found","content":{"text/plain":{"schema":{"maxLength":0,"pattern":"/^[0-9a-f]{8}-[0-9a-f]{4}-[1-5][0-9a-f]{3}-[89AB][0-9a-f]{3}-[0-9a-f]{12}$/i","type":"string"}}}},"415":{"description":"Unsupported Media Type","content":{"text/plain":{"schema":{"maxLength":0,"pattern":"/^[0-9a-f]{8}-[0-9a-f]{4}-[1-5][0-9a-f]{3}-[89AB][0-9a-f]{3}-[0-9a-f]{12}$/i","type":"string"}}}},"429":{"description":"Too Many Requests","content":{"text/plain":{"schema":{"maxLength":0,"pattern":"/^[0-9a-f]{8}-[0-9a-f]{4}-[1-5][0-9a-f]{3}-[89AB][0-9a-f]{3}-[0-9a-f]{12}$/i","type":"string"}}}},"default":{"description":"unexpected error","content":{"text/plain":{"schema":{"maxLength":0,"pattern":"/^[0-9a-f]{8}-[0-9a-f]{4}-[1-5][0-9a-f]{3}-[89AB][0-9a-f]{3}-[0-9a-f]{12}$/i","type":"string"}}}}}}},"/experiences/search":{"get":{"summary":"search experiences","tags":["experiences"],"operationId":"filterExperiences","parameters":[{"in":"query","name":"title","schema":{"type":"string","minLength":3,"maxLength":64},"description":"Search by title"},{"in":"query","name":"from","schema":{"type":"integer"},"description":"Search experiences from - timestamp in ms","example":1611927988623},{"in":"query","name":"to","schema":{"type":"integer"},"description":"Search experiences to - timestamp in ms","example":1611927988623},{"in":"query","name":"categories","schema":{"type":"array","items":{"$ref":"#/components/schemas/CategoryEnum"}},"description":"Search by categories"},{"in":"query","name":"maxPrice","schema":{"type":"number","format":"double","minimum":0,"maximum":999999999},"description":"Search by maximum price"},{"in":"query","name":"minPrice","schema":{"type":"number","format":"double","minimum":0,"maximum":999999999},"description":"Search by minimum price"},{"in":"query","name":"latitude","schema":{"type":"string","pattern":"^(\\\\+|-)?(?:90(?:(?:\\\\.0{1,7})?)|(?:[0-9]|[1-8][0-9])(?:(?:\\\\.[0-9]{1,7})?))$"},"description":"Search by latitude and longitude"},{"in":"query","name":"longitude","schema":{"type":"string","pattern":"^(\\\\+|-)?(?:180(?:(?:\\\\.0{1,7})?)|(?:[0-9]|[1-9][0-9]|1[0-7][0-9])(?:(?:\\\\.[0-9]{1,7})?))$"},"description":"Search by latitude and longitude"},{"in":"query","name":"distance","schema":{"minimum":0,"maximum":999999999,"type":"integer","default":30000},"description":"Distance radius in meters to search from coordinates"},{"in":"query","name":"type","schema":{"type":"string","enum":["FACE2FACE","RAFFLE","ONLINE"]},"description":"Search by type"},{"in":"query","name":"visibility","schema":{"type":"string","enum":["PUBLIC","PRIVATE"]},"description":"Search by visibility"},{"in":"query","name":"sort","schema":{"type":"string","enum":["DATE","RELEVANCE"]},"description":"Sort by date or relevance (number of participants)"},{"$ref":"#/components/parameters/pageNumber"},{"$ref":"#/components/parameters/pageSize"}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"allOf":[{"type":"object","properties":{"content":{"type":"array","items":{"$ref":"#/components/schemas/EventElem"}}}},{"$ref":"#/components/schemas/Page"}]}}}},"400":{"description":"Invalid Parameters","content":{"text/plain":{"schema":{"maxLength":0,"pattern":"/^[0-9a-f]{8}-[0-9a-f]{4}-[1-5][0-9a-f]{3}-[89AB][0-9a-f]{3}-[0-9a-f]{12}$/i","type":"string"}}}},"401":{"description":"Authorization information is missing or invalid","content":{"text/plain":{"schema":{"maxLength":0,"pattern":"/^[0-9a-f]{8}-[0-9a-f]{4}-[1-5][0-9a-f]{3}-[89AB][0-9a-f]{3}-[0-9a-f]{12}$/i","type":"string"}}}},"415":{"description":"Unsupported Media Type","content":{"text/plain":{"schema":{"maxLength":0,"pattern":"/^[0-9a-f]{8}-[0-9a-f]{4}-[1-5][0-9a-f]{3}-[89AB][0-9a-f]{3}-[0-9a-f]{12}$/i","type":"string"}}}},"429":{"description":"Too Many Requests","content":{"text/plain":{"schema":{"maxLength":0,"pattern":"/^[0-9a-f]{8}-[0-9a-f]{4}-[1-5][0-9a-f]{3}-[89AB][0-9a-f]{3}-[0-9a-f]{12}$/i","type":"string"}}}},"default":{"description":"unexpected error","content":{"text/plain":{"schema":{"maxLength":0,"pattern":"/^[0-9a-f]{8}-[0-9a-f]{4}-[1-5][0-9a-f]{3}-[89AB][0-9a-f]{3}-[0-9a-f]{12}$/i","type":"string"}}}}}}},"/experiences/{experienceId}/cancel-participation":{"post":{"summary":"Cancel participation in experience","operationId":"cancelExperienceParticipation","tags":["experiences"],"parameters":[{"name":"experienceId","in":"path","required":true,"style":"simple","explode":false,"schema":{"maximum":2147483647,"minimum":0,"type":"integer","format":"int32"}}],"responses":{"200":{"description":"OK"},"400":{"description":"Invalid Parameters","content":{"text/plain":{"schema":{"maxLength":0,"pattern":"/^[0-9a-f]{8}-[0-9a-f]{4}-[1-5][0-9a-f]{3}-[89AB][0-9a-f]{3}-[0-9a-f]{12}$/i","type":"string"}}}},"401":{"description":"A user of authorization was not found or user is an experience host","content":{"text/plain":{"schema":{"maxLength":0,"pattern":"/^[0-9a-f]{8}-[0-9a-f]{4}-[1-5][0-9a-f]{3}-[89AB][0-9a-f]{3}-[0-9a-f]{12}$/i","type":"string"}}}},"404":{"description":"An experience with the specified id was not found","content":{"text/plain":{"schema":{"maxLength":0,"pattern":"/^[0-9a-f]{8}-[0-9a-f]{4}-[1-5][0-9a-f]{3}-[89AB][0-9a-f]{3}-[0-9a-f]{12}$/i","type":"string"}}}},"415":{"description":"Unsupported Media Type","content":{"text/plain":{"schema":{"maxLength":0,"pattern":"/^[0-9a-f]{8}-[0-9a-f]{4}-[1-5][0-9a-f]{3}-[89AB][0-9a-f]{3}-[0-9a-f]{12}$/i","type":"string"}}}},"429":{"description":"Too Many Requests","content":{"text/plain":{"schema":{"maxLength":0,"pattern":"/^[0-9a-f]{8}-[0-9a-f]{4}-[1-5][0-9a-f]{3}-[89AB][0-9a-f]{3}-[0-9a-f]{12}$/i","type":"string"}}}},"default":{"description":"unexpected error","content":{"text/plain":{"schema":{"maxLength":0,"pattern":"/^[0-9a-f]{8}-[0-9a-f]{4}-[1-5][0-9a-f]{3}-[89AB][0-9a-f]{3}-[0-9a-f]{12}$/i","type":"string"}}}}}}},"/experiences/requests/{requestId}":{"post":{"summary":"Update request status by guest","tags":["experience-requests"],"operationId":"experienceInviteUpdateStatus","parameters":[{"name":"requestId","in":"path","required":true,"style":"simple","explode":false,"schema":{"maximum":2147483647,"minimum":0,"type":"integer","format":"int32"}}],"requestBody":{"description":"Experience request status","content":{"application/json":{"schema":{"$ref":"#/components/schemas/RequestStatusUpdate"}}}},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PaymentIntent"}},"text/plain":{"schema":{"maxLength":0,"pattern":"/^[0-9a-f]{8}-[0-9a-f]{4}-[1-5][0-9a-f]{3}-[89AB][0-9a-f]{3}-[0-9a-f]{12}$/i","type":"string"}}}},"400":{"description":"Invalid parameters","content":{"text/plain":{"schema":{"maxLength":0,"pattern":"/^[0-9a-f]{8}-[0-9a-f]{4}-[1-5][0-9a-f]{3}-[89AB][0-9a-f]{3}-[0-9a-f]{12}$/i","type":"string"}}}},"401":{"description":"Invalid authorization","content":{"text/plain":{"schema":{"maxLength":0,"pattern":"/^[0-9a-f]{8}-[0-9a-f]{4}-[1-5][0-9a-f]{3}-[89AB][0-9a-f]{3}-[0-9a-f]{12}$/i","type":"string"}}}},"402":{"description":"User has no token amount to join the event","content":{"text/plain":{"schema":{"maxLength":0,"pattern":"/^[0-9a-f]{8}-[0-9a-f]{4}-[1-5][0-9a-f]{3}-[89AB][0-9a-f]{3}-[0-9a-f]{12}$/i","type":"string"}}}},"415":{"description":"Unsupported Media Type","content":{"text/plain":{"schema":{"maxLength":0,"pattern":"/^[0-9a-f]{8}-[0-9a-f]{4}-[1-5][0-9a-f]{3}-[89AB][0-9a-f]{3}-[0-9a-f]{12}$/i","type":"string"}}}},"429":{"description":"Too Many Requests","content":{"text/plain":{"schema":{"maxLength":0,"pattern":"/^[0-9a-f]{8}-[0-9a-f]{4}-[1-5][0-9a-f]{3}-[89AB][0-9a-f]{3}-[0-9a-f]{12}$/i","type":"string"}}}},"default":{"description":"unexpected error","content":{"text/plain":{"schema":{"maxLength":0,"pattern":"/^[0-9a-f]{8}-[0-9a-f]{4}-[1-5][0-9a-f]{3}-[89AB][0-9a-f]{3}-[0-9a-f]{12}$/i","type":"string"}}}}}},"delete":{"summary":"Delete request sent by guest for experience","tags":["experience-requests"],"operationId":"deleteRequestSentByGuest","parameters":[{"name":"requestId","in":"path","required":true,"style":"simple","explode":false,"schema":{"maximum":2147483647,"minimum":0,"type":"integer","format":"int32"}}],"responses":{"200":{"description":"OK","content":{"text/plain":{"schema":{"maxLength":0,"pattern":"/^[0-9a-f]{8}-[0-9a-f]{4}-[1-5][0-9a-f]{3}-[89AB][0-9a-f]{3}-[0-9a-f]{12}$/i","type":"string"}}}},"400":{"description":"Invalid parameters","content":{"text/plain":{"schema":{"maxLength":0,"pattern":"/^[0-9a-f]{8}-[0-9a-f]{4}-[1-5][0-9a-f]{3}-[89AB][0-9a-f]{3}-[0-9a-f]{12}$/i","type":"string"}}}},"401":{"description":"Invalid authorization","content":{"text/plain":{"schema":{"maxLength":0,"pattern":"/^[0-9a-f]{8}-[0-9a-f]{4}-[1-5][0-9a-f]{3}-[89AB][0-9a-f]{3}-[0-9a-f]{12}$/i","type":"string"}}}},"402":{"description":"User has no token amount to join the event","content":{"text/plain":{"schema":{"maxLength":0,"pattern":"/^[0-9a-f]{8}-[0-9a-f]{4}-[1-5][0-9a-f]{3}-[89AB][0-9a-f]{3}-[0-9a-f]{12}$/i","type":"string"}}}},"415":{"description":"Unsupported Media Type","content":{"text/plain":{"schema":{"maxLength":0,"pattern":"/^[0-9a-f]{8}-[0-9a-f]{4}-[1-5][0-9a-f]{3}-[89AB][0-9a-f]{3}-[0-9a-f]{12}$/i","type":"string"}}}},"429":{"description":"Too Many Requests","content":{"text/plain":{"schema":{"maxLength":0,"pattern":"/^[0-9a-f]{8}-[0-9a-f]{4}-[1-5][0-9a-f]{3}-[89AB][0-9a-f]{3}-[0-9a-f]{12}$/i","type":"string"}}}},"default":{"description":"unexpected error","content":{"text/plain":{"schema":{"maxLength":0,"pattern":"/^[0-9a-f]{8}-[0-9a-f]{4}-[1-5][0-9a-f]{3}-[89AB][0-9a-f]{3}-[0-9a-f]{12}$/i","type":"string"}}}}}}},"/experiences/{experienceId}/requests/{requestId}":{"post":{"summary":"Update request status by host of experience","tags":["experience-requests"],"operationId":"updateExperienceRequestStatus","parameters":[{"name":"experienceId","in":"path","required":true,"style":"simple","explode":false,"schema":{"maximum":2147483647,"minimum":0,"type":"integer","format":"int32"}},{"name":"requestId","in":"path","required":true,"style":"simple","explode":false,"schema":{"maximum":2147483647,"minimum":0,"type":"integer","format":"int32"}}],"requestBody":{"description":"Experience request status","content":{"application/json":{"schema":{"$ref":"#/components/schemas/RequestStatusUpdate"}}}},"responses":{"200":{"description":"OK","content":{"text/plain":{"schema":{"maxLength":0,"pattern":"/^[0-9a-f]{8}-[0-9a-f]{4}-[1-5][0-9a-f]{3}-[89AB][0-9a-f]{3}-[0-9a-f]{12}$/i","type":"string"}}}},"400":{"description":"Invalid parameters","content":{"text/plain":{"schema":{"maxLength":0,"pattern":"/^[0-9a-f]{8}-[0-9a-f]{4}-[1-5][0-9a-f]{3}-[89AB][0-9a-f]{3}-[0-9a-f]{12}$/i","type":"string"}}}},"401":{"description":"Operation not authorized","content":{"text/plain":{"schema":{"maxLength":0,"pattern":"/^[0-9a-f]{8}-[0-9a-f]{4}-[1-5][0-9a-f]{3}-[89AB][0-9a-f]{3}-[0-9a-f]{12}$/i","type":"string"}}}},"404":{"description":"This experience isn't in inscription to cancel","content":{"text/plain":{"schema":{"maxLength":0,"pattern":"/^[0-9a-f]{8}-[0-9a-f]{4}-[1-5][0-9a-f]{3}-[89AB][0-9a-f]{3}-[0-9a-f]{12}$/i","type":"string"}}}},"406":{"description":"Experience not in inscription to cancel","content":{"text/plain":{"schema":{"maxLength":0,"pattern":"/^[0-9a-f]{8}-[0-9a-f]{4}-[1-5][0-9a-f]{3}-[89AB][0-9a-f]{3}-[0-9a-f]{12}$/i","type":"string"}}}},"415":{"description":"Unsupported Media Type","content":{"text/plain":{"schema":{"maxLength":0,"pattern":"/^[0-9a-f]{8}-[0-9a-f]{4}-[1-5][0-9a-f]{3}-[89AB][0-9a-f]{3}-[0-9a-f]{12}$/i","type":"string"}}}},"429":{"description":"Too Many Requests","content":{"text/plain":{"schema":{"maxLength":0,"pattern":"/^[0-9a-f]{8}-[0-9a-f]{4}-[1-5][0-9a-f]{3}-[89AB][0-9a-f]{3}-[0-9a-f]{12}$/i","type":"string"}}}},"default":{"description":"unexpected error","content":{"text/plain":{"schema":{"maxLength":0,"pattern":"/^[0-9a-f]{8}-[0-9a-f]{4}-[1-5][0-9a-f]{3}-[89AB][0-9a-f]{3}-[0-9a-f]{12}$/i","type":"string"}}}}}},"delete":{"summary":"Delete invite sent by experience host","tags":["experience-requests"],"operationId":"deleteRequestSentByHost","parameters":[{"name":"experienceId","in":"path","required":true,"style":"simple","explode":false,"schema":{"maximum":2147483647,"minimum":0,"type":"integer","format":"int32"}},{"name":"requestId","in":"path","required":true,"style":"simple","explode":false,"schema":{"maximum":2147483647,"minimum":0,"type":"integer","format":"int32"}}],"responses":{"200":{"description":"OK","content":{"text/plain":{"schema":{"maxLength":0,"pattern":"/^[0-9a-f]{8}-[0-9a-f]{4}-[1-5][0-9a-f]{3}-[89AB][0-9a-f]{3}-[0-9a-f]{12}$/i","type":"string"}}}},"400":{"description":"Invalid parameters","content":{"text/plain":{"schema":{"maxLength":0,"pattern":"/^[0-9a-f]{8}-[0-9a-f]{4}-[1-5][0-9a-f]{3}-[89AB][0-9a-f]{3}-[0-9a-f]{12}$/i","type":"string"}}}},"401":{"description":"Operation not authorized","content":{"text/plain":{"schema":{"maxLength":0,"pattern":"/^[0-9a-f]{8}-[0-9a-f]{4}-[1-5][0-9a-f]{3}-[89AB][0-9a-f]{3}-[0-9a-f]{12}$/i","type":"string"}}}},"404":{"description":"This experience isn't in inscription to cancel","content":{"text/plain":{"schema":{"maxLength":0,"pattern":"/^[0-9a-f]{8}-[0-9a-f]{4}-[1-5][0-9a-f]{3}-[89AB][0-9a-f]{3}-[0-9a-f]{12}$/i","type":"string"}}}},"406":{"description":"Experience not in inscription to cancel","content":{"text/plain":{"schema":{"maxLength":0,"pattern":"/^[0-9a-f]{8}-[0-9a-f]{4}-[1-5][0-9a-f]{3}-[89AB][0-9a-f]{3}-[0-9a-f]{12}$/i","type":"string"}}}},"415":{"description":"Unsupported Media Type","content":{"text/plain":{"schema":{"maxLength":0,"pattern":"/^[0-9a-f]{8}-[0-9a-f]{4}-[1-5][0-9a-f]{3}-[89AB][0-9a-f]{3}-[0-9a-f]{12}$/i","type":"string"}}}},"429":{"description":"Too Many Requests","content":{"text/plain":{"schema":{"maxLength":0,"pattern":"/^[0-9a-f]{8}-[0-9a-f]{4}-[1-5][0-9a-f]{3}-[89AB][0-9a-f]{3}-[0-9a-f]{12}$/i","type":"string"}}}},"default":{"description":"unexpected error","content":{"text/plain":{"schema":{"maxLength":0,"pattern":"/^[0-9a-f]{8}-[0-9a-f]{4}-[1-5][0-9a-f]{3}-[89AB][0-9a-f]{3}-[0-9a-f]{12}$/i","type":"string"}}}}}}},"/experiences/{experienceId}/participants/{userId}":{"delete":{"summary":"Remove participant from experience by host","tags":["experience-participants"],"operationId":"removeParticipantFromExperience","parameters":[{"name":"experienceId","in":"path","required":true,"style":"simple","explode":false,"schema":{"maximum":2147483647,"minimum":0,"type":"integer","format":"int32"}},{"name":"userId","in":"path","required":true,"style":"simple","explode":false,"schema":{"maximum":2147483647,"minimum":0,"type":"integer","format":"int32"}}],"responses":{"200":{"description":"OK","content":{"text/plain":{"schema":{"maxLength":0,"pattern":"/^[0-9a-f]{8}-[0-9a-f]{4}-[1-5][0-9a-f]{3}-[89AB][0-9a-f]{3}-[0-9a-f]{12}$/i","type":"string"}}}},"400":{"description":"Invalid parameters","content":{"text/plain":{"schema":{"maxLength":0,"pattern":"/^[0-9a-f]{8}-[0-9a-f]{4}-[1-5][0-9a-f]{3}-[89AB][0-9a-f]{3}-[0-9a-f]{12}$/i","type":"string"}}}},"401":{"description":"Operation not authorized","content":{"text/plain":{"schema":{"maxLength":0,"pattern":"/^[0-9a-f]{8}-[0-9a-f]{4}-[1-5][0-9a-f]{3}-[89AB][0-9a-f]{3}-[0-9a-f]{12}$/i","type":"string"}}}},"404":{"description":"This experience isn't in inscription to cancel","content":{"text/plain":{"schema":{"maxLength":0,"pattern":"/^[0-9a-f]{8}-[0-9a-f]{4}-[1-5][0-9a-f]{3}-[89AB][0-9a-f]{3}-[0-9a-f]{12}$/i","type":"string"}}}},"406":{"description":"Experience not in inscription to cancel","content":{"text/plain":{"schema":{"maxLength":0,"pattern":"/^[0-9a-f]{8}-[0-9a-f]{4}-[1-5][0-9a-f]{3}-[89AB][0-9a-f]{3}-[0-9a-f]{12}$/i","type":"string"}}}},"415":{"description":"Unsupported Media Type","content":{"text/plain":{"schema":{"maxLength":0,"pattern":"/^[0-9a-f]{8}-[0-9a-f]{4}-[1-5][0-9a-f]{3}-[89AB][0-9a-f]{3}-[0-9a-f]{12}$/i","type":"string"}}}},"429":{"description":"Too Many Requests","content":{"text/plain":{"schema":{"maxLength":0,"pattern":"/^[0-9a-f]{8}-[0-9a-f]{4}-[1-5][0-9a-f]{3}-[89AB][0-9a-f]{3}-[0-9a-f]{12}$/i","type":"string"}}}},"default":{"description":"unexpected error","content":{"text/plain":{"schema":{"maxLength":0,"pattern":"/^[0-9a-f]{8}-[0-9a-f]{4}-[1-5][0-9a-f]{3}-[89AB][0-9a-f]{3}-[0-9a-f]{12}$/i","type":"string"}}}}}}},"/wallet/fees-taxes-calculate":{"post":{"summary":"Calculate all fees for experience","tags":["wallet"],"operationId":"calculateFeesAndTaxes","requestBody":{"description":"Account validation","content":{"application/json":{"schema":{"$ref":"#/components/schemas/FeesAndTaxesInscription"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/FeesAndTaxes"}}}},"406":{"description":"Create stripe account failed","content":{"text/plain":{"schema":{"maxLength":0,"pattern":"/^[0-9a-f]{8}-[0-9a-f]{4}-[1-5][0-9a-f]{3}-[89AB][0-9a-f]{3}-[0-9a-f]{12}$/i","type":"string"}}}},"415":{"description":"Unsupported Media Type","content":{"text/plain":{"schema":{"maxLength":0,"pattern":"/^[0-9a-f]{8}-[0-9a-f]{4}-[1-5][0-9a-f]{3}-[89AB][0-9a-f]{3}-[0-9a-f]{12}$/i","type":"string"}}}},"429":{"description":"Too Many Requests","content":{"text/plain":{"schema":{"maxLength":0,"pattern":"/^[0-9a-f]{8}-[0-9a-f]{4}-[1-5][0-9a-f]{3}-[89AB][0-9a-f]{3}-[0-9a-f]{12}$/i","type":"string"}}}},"default":{"description":"unexpected error","content":{"text/plain":{"schema":{"maxLength":0,"pattern":"/^[0-9a-f]{8}-[0-9a-f]{4}-[1-5][0-9a-f]{3}-[89AB][0-9a-f]{3}-[0-9a-f]{12}$/i","type":"string"}}}}}}},"/contacts/search":{"get":{"summary":"search contacts","operationId":"filterContacts","tags":["contacts"],"parameters":[{"in":"query","name":"name","schema":{"type":"string","minLength":3,"maxLength":64},"description":"Name to filter"},{"in":"query","name":"type","schema":{"type":"string","enum":["ALL","CONTACTS"]},"description":"Retrieve information about all users or only ones that are contact from the current user"},{"in":"query","name":"sort","schema":{"type":"string","enum":["NAME"]},"description":"Sort by the given value"},{"in":"query","name":"order","schema":{"type":"string","enum":["ASC","DESC"]},"description":"Order ascendant or descendant"},{"$ref":"#/components/parameters/pageNumber"},{"$ref":"#/components/parameters/pageSize"}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"allOf":[{"type":"object","properties":{"content":{"type":"array","items":{"$ref":"#/components/schemas/OtherUserProfile"}}}},{"$ref":"#/components/schemas/Page"}]}}}}}}},"/contacts/{userId}/search":{"get":{"summary":"search contacts from a given user","tags":["contacts"],"operationId":"filterUserContacts","parameters":[{"name":"userId","in":"path","required":true,"style":"simple","explode":false,"schema":{"maximum":2147483647,"minimum":0,"type":"integer","format":"int32"}},{"in":"query","name":"name","schema":{"type":"string","minLength":3,"maxLength":64},"description":"Name to filter"},{"in":"query","name":"sort","schema":{"type":"string","enum":["NAME"]},"description":"Sort by the given value"},{"in":"query","name":"order","schema":{"type":"string","enum":["ASC","DESC"]},"description":"Order ascendant or descendant"},{"$ref":"#/components/parameters/pageNumber"},{"$ref":"#/components/parameters/pageSize"}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"allOf":[{"type":"object","properties":{"content":{"type":"array","items":{"$ref":"#/components/schemas/OtherUserProfile"}}}},{"$ref":"#/components/schemas/Page"}]}}}}}}},"/contacts/invites/received/search":{"get":{"summary":"search contact invites","tags":["contacts"],"operationId":"filterContactInvites","parameters":[{"in":"query","name":"name","schema":{"type":"string","minLength":3,"maxLength":64},"description":"Name to filter"},{"in":"query","name":"sort","schema":{"type":"string","enum":["NAME"]},"description":"Sort by the given value"},{"in":"query","name":"order","schema":{"type":"string","enum":["ASC","DESC"]},"description":"Order ascendant or descendant"},{"$ref":"#/components/parameters/pageNumber"},{"$ref":"#/components/parameters/pageSize"}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"allOf":[{"type":"object","properties":{"content":{"type":"array","items":{"$ref":"#/components/schemas/OtherUserProfile"}}}},{"$ref":"#/components/schemas/Page"}]}}}}}}},"/wallet/create-account":{"post":{"summary":"Create and validate account in stripe","tags":["wallet"],"operationId":"createAccount","requestBody":{"description":"Account validation","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HostsCreateAccount"}}},"required":true},"responses":{"200":{"description":"OK"},"406":{"description":"Create stripe account failed","content":{"text/plain":{"schema":{"maxLength":0,"pattern":"/^[0-9a-f]{8}-[0-9a-f]{4}-[1-5][0-9a-f]{3}-[89AB][0-9a-f]{3}-[0-9a-f]{12}$/i","type":"string"}}}},"415":{"description":"Unsupported Media Type","content":{"text/plain":{"schema":{"maxLength":0,"pattern":"/^[0-9a-f]{8}-[0-9a-f]{4}-[1-5][0-9a-f]{3}-[89AB][0-9a-f]{3}-[0-9a-f]{12}$/i","type":"string"}}}},"429":{"description":"Too Many Requests","content":{"text/plain":{"schema":{"maxLength":0,"pattern":"/^[0-9a-f]{8}-[0-9a-f]{4}-[1-5][0-9a-f]{3}-[89AB][0-9a-f]{3}-[0-9a-f]{12}$/i","type":"string"}}}},"default":{"description":"unexpected error","content":{"text/plain":{"schema":{"maxLength":0,"pattern":"/^[0-9a-f]{8}-[0-9a-f]{4}-[1-5][0-9a-f]{3}-[89AB][0-9a-f]{3}-[0-9a-f]{12}$/i","type":"string"}}}}}}},"/wallet/create-account-link":{"get":{"summary":"Create account link","tags":["wallet"],"operationId":"createAccountLink","parameters":[{"in":"query","name":"from","schema":{"type":"string","enum":["MOBILE","WEB"]},"description":"Request origin"}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/AccountLink"}}}},"401":{"description":"Authorization information is missing or invalid, or user of authorization was not found","content":{"text/plain":{"schema":{"maxLength":0,"pattern":"/^[0-9a-f]{8}-[0-9a-f]{4}-[1-5][0-9a-f]{3}-[89AB][0-9a-f]{3}-[0-9a-f]{12}$/i","type":"string"}}}},"404":{"description":"User not found","content":{"text/plain":{"schema":{"maxLength":0,"pattern":"/^[0-9a-f]{8}-[0-9a-f]{4}-[1-5][0-9a-f]{3}-[89AB][0-9a-f]{3}-[0-9a-f]{12}$/i","type":"string"}}}},"406":{"description":"Create account link failed","content":{"text/plain":{"schema":{"maxLength":0,"pattern":"/^[0-9a-f]{8}-[0-9a-f]{4}-[1-5][0-9a-f]{3}-[89AB][0-9a-f]{3}-[0-9a-f]{12}$/i","type":"string"}}}},"415":{"description":"Unsupported Media Type","content":{"text/plain":{"schema":{"maxLength":0,"pattern":"/^[0-9a-f]{8}-[0-9a-f]{4}-[1-5][0-9a-f]{3}-[89AB][0-9a-f]{3}-[0-9a-f]{12}$/i","type":"string"}}}},"429":{"description":"Too Many Requests","content":{"text/plain":{"schema":{"maxLength":0,"pattern":"/^[0-9a-f]{8}-[0-9a-f]{4}-[1-5][0-9a-f]{3}-[89AB][0-9a-f]{3}-[0-9a-f]{12}$/i","type":"string"}}}},"default":{"description":"unexpected error","content":{"text/plain":{"schema":{"maxLength":0,"pattern":"/^[0-9a-f]{8}-[0-9a-f]{4}-[1-5][0-9a-f]{3}-[89AB][0-9a-f]{3}-[0-9a-f]{12}$/i","type":"string"}}}}}}},"/wallet/create-login-link":{"get":{"summary":"Create login link","tags":["wallet"],"operationId":"createLoginLink","responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/AccountLink"}}}},"401":{"description":"Authorization information is missing or invalid, or user of authorization was not found","content":{"text/plain":{"schema":{"maxLength":0,"pattern":"/^[0-9a-f]{8}-[0-9a-f]{4}-[1-5][0-9a-f]{3}-[89AB][0-9a-f]{3}-[0-9a-f]{12}$/i","type":"string"}}}},"404":{"description":"User not found","content":{"text/plain":{"schema":{"maxLength":0,"pattern":"/^[0-9a-f]{8}-[0-9a-f]{4}-[1-5][0-9a-f]{3}-[89AB][0-9a-f]{3}-[0-9a-f]{12}$/i","type":"string"}}}},"406":{"description":"Stripe Id does not exists or create login link failed","content":{"text/plain":{"schema":{"maxLength":0,"pattern":"/^[0-9a-f]{8}-[0-9a-f]{4}-[1-5][0-9a-f]{3}-[89AB][0-9a-f]{3}-[0-9a-f]{12}$/i","type":"string"}}}},"415":{"description":"Unsupported Media Type","content":{"text/plain":{"schema":{"maxLength":0,"pattern":"/^[0-9a-f]{8}-[0-9a-f]{4}-[1-5][0-9a-f]{3}-[89AB][0-9a-f]{3}-[0-9a-f]{12}$/i","type":"string"}}}},"429":{"description":"Too Many Requests","content":{"text/plain":{"schema":{"maxLength":0,"pattern":"/^[0-9a-f]{8}-[0-9a-f]{4}-[1-5][0-9a-f]{3}-[89AB][0-9a-f]{3}-[0-9a-f]{12}$/i","type":"string"}}}},"default":{"description":"unexpected error","content":{"text/plain":{"schema":{"maxLength":0,"pattern":"/^[0-9a-f]{8}-[0-9a-f]{4}-[1-5][0-9a-f]{3}-[89AB][0-9a-f]{3}-[0-9a-f]{12}$/i","type":"string"}}}}}}},"/auth":{"get":{"summary":"Auth Account","operationId":"authAccountPost","tags":["authentication"],"parameters":[{"name":"token","in":"header","required":true,"style":"simple","explode":false,"schema":{"maxLength":1200,"pattern":"/^[0-9a-f]{8}-[0-9a-f]{4}-[1-5][0-9a-f]{3}-[89AB][0-9a-f]{3}-[0-9a-f]{12}$/i","type":"string"}},{"name":"deviceDescription","in":"header","required":true,"style":"simple","explode":false,"schema":{"maxLength":64,"pattern":"/^[0-9a-f]{8}-[0-9a-f]{4}-[1-5][0-9a-f]{3}-[89AB][0-9a-f]{3}-[0-9a-f]{12}$/i","type":"string"}},{"name":"deviceVersion","in":"header","required":true,"style":"simple","explode":false,"schema":{"maxLength":64,"pattern":"/^[0-9a-f]{8}-[0-9a-f]{4}-[1-5][0-9a-f]{3}-[89AB][0-9a-f]{3}-[0-9a-f]{12}$/i","type":"string"}},{"name":"languageCode","in":"header","required":true,"style":"simple","explode":false,"schema":{"maxLength":20,"pattern":"/^[0-9a-f]{8}-[0-9a-f]{4}-[1-5][0-9a-f]{3}-[89AB][0-9a-f]{3}-[0-9a-f]{12}$/i","type":"string"}},{"name":"readTerms","in":"header","required":false,"style":"simple","explode":false,"schema":{"maximum":1,"minimum":0,"type":"integer","format":"int32"}}],"responses":{"200":{"description":"OK","content":{"text/plain":{"schema":{"maxLength":1000,"pattern":"/^[0-9a-f]{8}-[0-9a-f]{4}-[1-5][0-9a-f]{3}-[89AB][0-9a-f]{3}-[0-9a-f]{12}$/i","type":"string"}}}},"404":{"description":"not found","content":{"text/plain":{"schema":{"maxLength":0,"pattern":"/^[0-9a-f]{8}-[0-9a-f]{4}-[1-5][0-9a-f]{3}-[89AB][0-9a-f]{3}-[0-9a-f]{12}$/i","type":"string"}}}},"429":{"description":"too many requests","content":{"text/plain":{"schema":{"maxLength":0,"pattern":"/^[0-9a-f]{8}-[0-9a-f]{4}-[1-5][0-9a-f]{3}-[89AB][0-9a-f]{3}-[0-9a-f]{12}$/i","type":"string"}}}},"default":{"description":"unexpected error","content":{"text/plain":{"schema":{"maxLength":0,"pattern":"/^[0-9a-f]{8}-[0-9a-f]{4}-[1-5][0-9a-f]{3}-[89AB][0-9a-f]{3}-[0-9a-f]{12}$/i","type":"string"}}}}},"security":[]}},"/recoverAccount":{"post":{"summary":"Recover Account","operationId":"recoverAccountPost","tags":["account"],"parameters":[{"name":"token","in":"header","required":true,"style":"simple","explode":false,"schema":{"maxLength":1200,"pattern":"^.{1,1200}$","type":"string"}},{"name":"language","in":"header","required":true,"style":"simple","explode":false,"schema":{"maxLength":64,"pattern":"^.{1,64}$","type":"string"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"maxLength":1000,"pattern":"^.{1,1000}$","type":"string"}}}},"400":{"description":"Invalid Parameters","content":{"text/plain":{"schema":{"maxLength":0,"pattern":"/^[0-9a-f]{8}-[0-9a-f]{4}-[1-5][0-9a-f]{3}-[89AB][0-9a-f]{3}-[0-9a-f]{12}$/i","type":"string"}}}},"415":{"description":"Unsupported Media Type","content":{"text/plain":{"schema":{"maxLength":0,"pattern":"/^[0-9a-f]{8}-[0-9a-f]{4}-[1-5][0-9a-f]{3}-[89AB][0-9a-f]{3}-[0-9a-f]{12}$/i","type":"string"}}}},"429":{"description":"Too Many Requests","content":{"text/plain":{"schema":{"maxLength":0,"pattern":"/^[0-9a-f]{8}-[0-9a-f]{4}-[1-5][0-9a-f]{3}-[89AB][0-9a-f]{3}-[0-9a-f]{12}$/i","type":"string"}}}},"default":{"description":"unexpected error","content":{"text/plain":{"schema":{"maxLength":0,"pattern":"/^[0-9a-f]{8}-[0-9a-f]{4}-[1-5][0-9a-f]{3}-[89AB][0-9a-f]{3}-[0-9a-f]{12}$/i","type":"string"}}}}},"security":[]}}},"components":{"parameters":{"pageNumber":{"in":"query","name":"page","schema":{"type":"integer","minimum":0,"default":0},"description":"Retrieve data by page number"},"pageSize":{"in":"query","name":"size","schema":{"type":"integer","minimum":1,"maximum":50,"default":10},"description":"Select the size of elements in a page"}},"schemas":{"EventElem":{"type":"object","properties":{"eventId":{"maximum":2147483647,"minimum":0,"type":"integer","format":"int32","nullable":false},"title":{"pattern":".*","type":"string","nullable":false},"informationPrivate":{"pattern":".*","type":"string","nullable":true},"publicDescription":{"pattern":".*","type":"string","nullable":false},"program":{"pattern":".*","type":"string","nullable":true},"visibility":{"type":"string","nullable":false,"enum":["UNKNOWN","PUBLIC","PRIVATE","SECRET"]},"eventStart":{"maximum":2147483647,"minimum":0,"type":"number","format":"int32","nullable":false},"limitInscription":{"maximum":2147483647,"minimum":0,"type":"number","nullable":false},"capacity":{"maximum":2147483647,"minimum":0,"type":"integer","format":"int32","nullable":false},"latitude":{"maximum":2147483647,"minimum":-2147483647,"type":"number","format":"int32","nullable":false},"longitude":{"maximum":2147483647,"minimum":-2147483647,"type":"number","format":"int32","nullable":false},"chat":{"maximum":2147483647,"minimum":0,"type":"integer","format":"int32","nullable":false},"locationCity":{"pattern":".*","type":"string","nullable":true},"locationCountry":{"pattern":".*","type":"string","nullable":true},"locationRegion":{"pattern":".*","type":"string","nullable":true},"locationCityId":{"maximum":2147483647,"minimum":0,"type":"integer","format":"int32","nullable":true},"locationCountryId":{"maximum":2147483647,"minimum":0,"type":"integer","format":"int32","nullable":true},"locationRegionId":{"maximum":2147483647,"minimum":0,"type":"integer","format":"int32","nullable":true},"locationStreet":{"pattern":".*","type":"string","nullable":false},"price":{"maximum":2147483647,"minimum":0,"type":"number","format":"int32","nullable":false},"image":{"maxLength":100000000,"pattern":".*","type":"string","nullable":true},"eventImageUrl":{"pattern":".*","type":"string","nullable":false},"hostImageUrl":{"pattern":".*","type":"string","nullable":false},"host":{"maximum":2147483647,"minimum":0,"type":"integer","format":"int32","nullable":false},"hostProfileId":{"maximum":2147483647,"minimum":0,"type":"integer","format":"int32","nullable":false},"hostName":{"maxLength":64,"pattern":".*","type":"string","nullable":false},"ratingEventHost":{"maximum":2147483647,"minimum":0,"type":"number","format":"int32","nullable":false},"requestsPending":{"maximum":2147483647,"minimum":0,"type":"integer","format":"int32","nullable":false},"eventParticipants":{"maximum":2147483647,"minimum":0,"type":"integer","format":"int32","nullable":false},"eventEnd":{"maximum":2147483647,"minimum":0,"type":"number","format":"int32","nullable":false},"groupReference":{"maximum":2147483647,"minimum":0,"type":"integer","format":"int32","nullable":true},"usersToRequest":{"type":"array","nullable":true,"items":{"maximum":2147483647,"minimum":0,"type":"integer","format":"int32"}},"publicationDate":{"maximum":2147483647,"minimum":0,"type":"number","format":"int32","nullable":false},"distance":{"maximum":2147483647,"minimum":0,"type":"number","format":"int32","nullable":true},"order":{"type":"string","nullable":true,"enum":["DISTANCE","START_DATE","TITLE"]},"limit":{"type":"string","nullable":true,"enum":["TODAY","WEEK","MONTH"]},"status":{"type":"string","nullable":false,"enum":["DEFINITION","INSCRIPTION","CONFIRMATION","PREPARATION","SHARING","RATING","CLOSED","CANCELLED","UNKNOWN"]},"createdAt":{"maximum":2147483647,"minimum":0,"type":"number","format":"int32","nullable":false},"guestListCloseDate":{"maximum":2147483647,"minimum":0,"type":"number","format":"int32","nullable":false},"isHost":{"type":"boolean","nullable":false},"favorite":{"type":"boolean","nullable":false},"eventAccess":{"type":"string","nullable":false,"enum":["NO_ACCESS","HAS_ACCESS","REQUEST_PENDING","REQUEST_RECEIVED","PAYMENT_PENDING","PAYMENT_PROCESSING"]},"eventRequest":{"$ref":"#/components/schemas/EventRequest"},"filter":{"pattern":".*","type":"string","nullable":true},"editedAt":{"maximum":2147483647,"minimum":0,"type":"number","format":"int32","nullable":true},"numberOfPosts":{"maximum":2147483647,"minimum":0,"type":"number","format":"int32","nullable":false},"numberOfReviews":{"maximum":2147483647,"minimum":0,"type":"number","format":"int32","nullable":false},"groupsToInvite":{"type":"array","items":{"maximum":2147483647,"minimum":0,"type":"integer","format":"int32","nullable":true}},"hostImageEditedAt":{"maximum":2147483647,"minimum":0,"type":"number","format":"int32","nullable":true},"hasImage":{"maximum":2147483647,"minimum":0,"type":"integer","format":"int32","nullable":false},"hasImageHost":{"maximum":2147483647,"minimum":0,"type":"integer","format":"int32","nullable":false},"featured":{"maximum":2147483647,"minimum":0,"type":"integer","nullable":false},"eventRating":{"maximum":2147483647,"minimum":0,"type":"number","format":"int32","nullable":false},"categories":{"type":"array","nullable":false,"items":{"$ref":"#/components/schemas/Category"}},"inscriptionStart":{"maximum":2147483647,"minimum":0,"type":"number","nullable":false},"maxCapacity":{"maximum":2147483647,"minimum":0,"type":"integer","format":"int32","nullable":false},"eventType":{"type":"string","nullable":false,"enum":["ONLINE","FACE2FACE","RAFFLE"]},"raffleResults":{"maximum":1,"minimum":0,"type":"integer","format":"int32","nullable":true}},"additionalProperties":false},"EventReq":{"type":"object","properties":{"eventId":{"maximum":2147483647,"minimum":0,"type":"integer","format":"int32","nullable":false},"title":{"pattern":".*","type":"string","nullable":false},"eventStart":{"maximum":2147483647,"minimum":0,"type":"number","format":"int32","nullable":false},"eventEnd":{"maximum":2147483647,"minimum":0,"type":"number","format":"int32","nullable":false},"publicationDate":{"maximum":2147483647,"minimum":0,"type":"number","format":"int32","nullable":true},"limitInscription":{"maximum":2147483647,"minimum":0,"type":"number","nullable":false},"inscriptionStart":{"maximum":2147483647,"minimum":0,"type":"number","nullable":false},"price":{"maximum":2147483647,"minimum":0,"type":"number","format":"int32","nullable":false},"capacity":{"maximum":2147483647,"minimum":0,"type":"integer","format":"int32","nullable":false},"maxCapacity":{"maximum":2147483647,"minimum":0,"type":"integer","format":"int32","nullable":false},"latitude":{"maximum":2147483647,"minimum":-2147483647,"type":"number","format":"int32","nullable":true},"longitude":{"maximum":2147483647,"minimum":-2147483647,"type":"number","format":"int32","nullable":true},"location":{"pattern":".*","type":"string","nullable":false},"image":{"maxLength":100000000,"pattern":".*","type":"string","nullable":false},"privateInformation":{"pattern":".*","type":"string","nullable":true},"publicInformation":{"pattern":".*","type":"string","nullable":false},"program":{"pattern":".*","type":"string","nullable":false},"visibility":{"type":"string","nullable":false,"enum":["UNKNOWN","PUBLIC","PRIVATE","SECRET"]},"usersToRequest":{"type":"array","nullable":false,"items":{"maximum":2147483647,"minimum":0,"type":"integer","format":"int32"}},"eventType":{"type":"string","nullable":false,"enum":["ONLINE","FACE2FACE","RAFFLE"]},"categories":{"type":"array","nullable":false,"items":{"$ref":"#/components/schemas/Category"}}},"additionalProperties":false},"ProfileElem":{"type":"object","properties":{"userId":{"maximum":2147483647,"minimum":0,"type":"integer","format":"int32","nullable":false},"profileId":{"maximum":2147483647,"minimum":0,"type":"integer","format":"int32","nullable":false},"name":{"maxLength":64,"pattern":".*","type":"string","nullable":false},"surname":{"maxLength":64,"pattern":".*","type":"string","nullable":false},"email":{"maxLength":45,"pattern":".*","type":"string","nullable":false},"description":{"maxLength":280,"pattern":".*","type":"string","nullable":true},"visibility":{"type":"string","nullable":false,"enum":["UNKNOWN","PUBLIC","PRIVATE"]},"hasImage":{"maximum":1,"minimum":0,"type":"integer","format":"int32","nullable":false},"imageUrl":{"maxLength":255,"pattern":".*","type":"string","nullable":false},"hasBackgroundImage":{"maximum":1,"minimum":0,"type":"integer","format":"int32","nullable":false},"backgroundImageUrl":{"maxLength":255,"pattern":".*","type":"string","nullable":false},"birthdate":{"maximum":2147483647,"minimum":0,"type":"number","format":"int32","nullable":true},"address":{"maxLength":280,"pattern":".*","type":"string","nullable":true},"address2":{"maxLength":280,"pattern":".*","type":"string","nullable":true},"country":{"maxLength":64,"pattern":".*","type":"string","nullable":true},"countryDesc":{"maxLength":64,"pattern":".*","type":"string","nullable":true},"postalCode":{"maxLength":64,"pattern":".*","type":"string","nullable":true},"city":{"maxLength":64,"pattern":".*","type":"string","nullable":true},"cityDesc":{"maxLength":64,"pattern":".*","type":"string","nullable":true},"province":{"maxLength":64,"pattern":".*","type":"string","nullable":true},"provinceDesc":{"maxLength":64,"pattern":".*","type":"string","nullable":true},"language":{"type":"string","enum":["ES","PT","EN"]},"categories":{"maxItems":5,"type":"array","nullable":true,"items":{"$ref":"#/components/schemas/Category"}},"dni":{"maxLength":45,"pattern":".*","type":"string"},"accountType":{"type":"string","enum":["GUEST","INDIVIDUAL","COMPANY"]},"stripeGuestId":{"maxLength":45,"pattern":".*","type":"string","nullable":false},"stripeHostId":{"maxLength":45,"pattern":".*","type":"string","nullable":false},"stripeHostAccountStatus":{"type":"string","enum":["UNKNOWN","PENDING","VALIDATED"],"nullable":false},"companyName":{"pattern":".*","type":"string","nullable":false},"companyVat":{"pattern":".*","type":"string","nullable":false},"companyCountry":{"pattern":".*","type":"string","nullable":false},"companyCountryDesc":{"pattern":".*","type":"string","nullable":false},"companyAddress1":{"pattern":".*","type":"string","nullable":false},"companyAddress2":{"pattern":".*","type":"string","nullable":false},"companyPostalCode":{"pattern":".*","type":"string","nullable":false},"companyCity":{"pattern":".*","type":"string","nullable":false},"companyCityDesc":{"pattern":".*","type":"string","nullable":false},"companyProvince":{"pattern":".*","type":"string","nullable":false},"companyProvinceDesc":{"pattern":".*","type":"string","nullable":false},"companyDescription":{"pattern":".*","type":"string","nullable":false},"ratingEventHost":{"maximum":2147483647,"minimum":0,"type":"number","format":"int32","nullable":false},"ratingEventGuest":{"maximum":2147483647,"minimum":0,"type":"number","format":"int32","nullable":false},"reviewsEventHost":{"maximum":2147483647,"minimum":0,"type":"number","format":"int32","nullable":true},"reviewsEventGuest":{"maximum":2147483647,"minimum":0,"type":"number","format":"int32","nullable":true},"createdAt":{"maximum":2147483647,"minimum":0,"type":"number","format":"int32","nullable":false},"editedAt":{"maximum":2147483647,"minimum":0,"type":"number","format":"int32","nullable":true},"totalPosts":{"maximum":2147483647,"minimum":0,"type":"number","format":"int32","nullable":false},"totalContacts":{"maximum":2147483647,"minimum":0,"type":"number","format":"int32","nullable":false},"userReviews":{"maximum":2147483647,"minimum":0,"type":"number","format":"int32","nullable":false},"isFriend":{"type":"string","nullable":false,"enum":["NO_FRIENDSHIP","FRIEND","SENT_REQUEST","RECEIVED_REQUEST"]},"hasProfileAccess":{"type":"boolean","nullable":false},"authenticationProvider":{"maxLength":100000000,"pattern":".*","type":"string","nullable":false},"gender":{"type":"string","enum":["UNKNOWN","MALE","FEMALE","OTHER"]},"numberEventsHost":{"maximum":2147483647,"minimum":0,"type":"number","format":"int32"},"numberEventsGuest":{"maximum":2147483647,"minimum":0,"type":"number","format":"int32"},"region":{"maxLength":255,"pattern":".*","type":"string","nullable":true},"profileName":{"maxLength":128,"pattern":".*","type":"string","nullable":true}},"additionalProperties":false},"OtherUserProfile":{"type":"object","properties":{"userId":{"maximum":2147483647,"minimum":0,"type":"integer","format":"int32","nullable":false},"profileId":{"maximum":2147483647,"minimum":0,"type":"integer","format":"int32","nullable":false},"name":{"maxLength":64,"pattern":".*","type":"string","nullable":false},"bio":{"maxLength":280,"pattern":".*","type":"string","nullable":true},"visibility":{"type":"string","nullable":false,"enum":["UNKNOWN","PUBLIC","PRIVATE","SECRET"]},"hasImage":{"maximum":2147483647,"minimum":0,"type":"integer","format":"int32","nullable":false},"imageUrl":{"maxLength":255,"pattern":".*","type":"string","nullable":false},"hasBackgroundImage":{"maximum":2147483647,"minimum":0,"type":"integer","format":"int32","nullable":false},"backgroundImageUrl":{"maxLength":255,"pattern":".*","type":"string","nullable":false},"ratingEventHost":{"maximum":2147483647,"minimum":0,"type":"number","format":"int32","nullable":false},"ratingEventGuest":{"maximum":2147483647,"minimum":0,"type":"number","format":"int32","nullable":false},"reviewsEventGuest":{"maximum":2147483647,"minimum":0,"type":"number","format":"int32","nullable":true},"reviewsEventHost":{"maximum":2147483647,"minimum":0,"type":"number","format":"int32","nullable":true},"editedAt":{"maximum":2147483647,"minimum":0,"type":"number","format":"int32","nullable":true},"totalPosts":{"maximum":2147483647,"minimum":0,"type":"number","format":"int32","nullable":false},"totalContacts":{"maximum":2147483647,"minimum":0,"type":"number","format":"int32","nullable":false}},"additionalProperties":false},"ProfileUpdate":{"type":"object","properties":{"name":{"maxLength":64,"pattern":".*","type":"string","nullable":false},"surname":{"maxLength":64,"pattern":".*","type":"string","nullable":false},"visibility":{"type":"string","nullable":false,"enum":["PUBLIC","PRIVATE"]},"dni":{"maxLength":45,"pattern":".*","type":"string"},"bio":{"maxLength":280,"pattern":".*","type":"string","nullable":true},"birthdate":{"maximum":2147483647,"minimum":0,"type":"number","format":"int32","nullable":true},"address":{"maxLength":280,"pattern":".*","type":"string","nullable":true},"address2":{"maxLength":280,"pattern":".*","type":"string","nullable":true},"categories":{"maxItems":5,"type":"array","nullable":true,"items":{"type":"string"}},"image":{"maxLength":100000000,"pattern":".*","type":"string","nullable":true},"backgroundImage":{"maxLength":100000000,"pattern":".*","type":"string","nullable":true},"accountType":{"type":"string","enum":["GUEST","INDIVIDUAL","COMPANY"]},"language":{"type":"string","enum":["ES","PT","EN"]},"country":{"maxLength":64,"pattern":".*","type":"string","nullable":true},"countryDesc":{"maxLength":64,"pattern":".*","type":"string","nullable":true},"postalCode":{"maxLength":64,"pattern":".*","type":"string","nullable":true},"city":{"maxLength":64,"pattern":".*","type":"string","nullable":true},"cityDesc":{"maxLength":64,"pattern":".*","type":"string","nullable":true},"province":{"maxLength":64,"pattern":".*","type":"string","nullable":true},"provinceDesc":{"maxLength":64,"pattern":".*","type":"string","nullable":true},"company":{"$ref":"#/components/schemas/CompanyData"}},"additionalProperties":false},"ProfileUpdatePatch":{"type":"object","properties":{"language":{"type":"string","enum":["ES","PT","EN"]},"image":{"maxLength":100000000,"pattern":".*","type":"string","nullable":true}},"additionalProperties":false},"Category":{"type":"object","properties":{"categoryId":{"$ref":"#/components/schemas/CategoryEnum"},"translationPt":{"type":"string","nullable":false},"translationEn":{"type":"string","nullable":false},"translationEs":{"type":"string","nullable":false}},"additionalProperties":false},"CategoryEnum":{"type":"string","enum":["SCHOOL_ACTIVITIES","HOBBIES_AND_CRAFTS","PERFORMING_AND_VISUAL_ARTS","SCIENCE_AND_TECHNOLOGY","FILM_AND_TELEVISION","BELIEFS_AND_SPIRITUALITY","SPORTS","FAMILY_AND_EDUCATION","GASTRONOMY","LANGUAGES_AND_CULTURE","FASHION_AND_BEAUTY","MUSIC","NATURE_AND_ADVENTURE","BUSINESS","HEALTH_AND_WELLNESS","SOLIDARITY","TRAVELS_AND_ACTIVITIES","SOCIAL_LIFE","OTHERS"],"additionalProperties":false},"CompanyData":{"type":"object","properties":{"name":{"pattern":".*","type":"string","nullable":false},"vat":{"pattern":".*","type":"string","nullable":false},"country":{"pattern":".*","type":"string","nullable":false},"countryDesc":{"pattern":".*","type":"string","nullable":false},"address1":{"pattern":".*","type":"string","nullable":false},"address2":{"pattern":".*","type":"string","nullable":false},"postalCode":{"pattern":".*","type":"string","nullable":false},"city":{"pattern":".*","type":"string","nullable":false},"cityDesc":{"pattern":".*","type":"string","nullable":false},"province":{"pattern":".*","type":"string","nullable":false},"provinceDesc":{"pattern":".*","type":"string","nullable":false},"description":{"pattern":".*","type":"string","nullable":false}},"additionalProperties":false},"Page":{"type":"object","properties":{"number":{"type":"integer"},"empty":{"type":"boolean"},"pageable":{"type":"object","properties":{"offset":{"type":"integer"},"pageSize":{"type":"integer"},"pageNumber":{"type":"integer"},"paged":{"type":"boolean"},"unpaged":{"type":"boolean"},"sort":{"type":"object","properties":{"sorted":{"type":"boolean"},"unsorted":{"type":"boolean"},"empty":{"type":"boolean"}}}}},"totalElements":{"type":"integer"},"sort":{"type":"object","properties":{"sorted":{"type":"boolean"},"unsorted":{"type":"boolean"},"empty":{"type":"boolean"}}},"first":{"type":"boolean"},"totalPages":{"type":"integer"},"last":{"type":"boolean"},"size":{"type":"integer"},"numberOfElements":{"type":"integer"}}},"EventRequest":{"type":"object","properties":{"requestId":{"maximum":2147483647,"minimum":0,"type":"integer","format":"int32","nullable":false},"eventId":{"maximum":2147483647,"minimum":0,"type":"integer","format":"int32","nullable":false},"participantId":{"maximum":2147483647,"minimum":0,"type":"integer","format":"int32","nullable":false},"requestType":{"type":"string","nullable":false,"enum":["UNKNOWN","JOIN_EVENT","EVENT_INVITE","FRIENDSHIP_INVITE","INVITE_JOIN_GROUP","JOIN_GROUP","LEAVE_GROUP","TRANSFER_GROUP"]},"createdAt":{"maximum":2147483647,"minimum":0,"type":"number","format":"int32","nullable":false},"status":{"type":"string","nullable":false,"enum":["UNKNOWN","PENDING","ACCEPTED","REJECTED","CANCELED"]}},"additionalProperties":false},"PaymentIntent":{"type":"object","properties":{"id":{"pattern":".*","type":"string","nullable":false},"paymentIntentStatus":{"type":"string","nullable":false,"enum":["REQUIRES_PAYMENT_METHOD","REQUIRES_CONFIRMATION","REQUIRES_ACTION","PROCESSING","REQUIRES_CAPTURE","CANCELED","SUCCEEDED"]},"clientSecret":{"pattern":".*","type":"string","nullable":false},"paymentMethods":{"type":"array","items":{"$ref":"#/components/schemas/StripePaymentMethod"}}},"additionalProperties":false},"EventCancelDescriptionElem":{"type":"object","properties":{"description":{"maxLength":255,"pattern":".*","type":"string","nullable":false}},"additionalProperties":false},"EventRequestElem":{"type":"object","properties":{"requestId":{"maximum":2147483647,"minimum":0,"type":"integer","format":"int32","nullable":false},"eventId":{"maximum":2147483647,"minimum":0,"type":"integer","format":"int32","nullable":false},"title":{"maxLength":64,"pattern":".*","type":"string","nullable":false},"createdAt":{"maximum":2147483647,"minimum":0,"type":"number","format":"int32","nullable":false},"status":{"type":"string","nullable":false,"enum":["UNKNOWN","PENDING","ACCEPTED","REJECTED","CANCELED"]},"userTo":{"maximum":2147483647,"minimum":0,"type":"integer","format":"int32","nullable":false},"userToProfile":{"maximum":2147483647,"minimum":0,"type":"integer","format":"int32","nullable":false},"userToName":{"maxLength":64,"pattern":".*","type":"string","nullable":false},"ratingEventGuest":{"maximum":2147483647,"minimum":0,"type":"number","format":"int32","nullable":false},"imageUrl":{"maxLength":255,"pattern":".*","type":"string","nullable":false},"userImageUrl":{"maxLength":255,"pattern":".*","type":"string","nullable":false},"userImageEditedAt":{"maximum":2147483647,"minimum":0,"type":"number","format":"int32","nullable":true},"hasImageUser":{"maximum":2147483647,"minimum":0,"type":"integer","format":"int32","nullable":false},"hasImageEvent":{"maximum":2147483647,"minimum":0,"type":"integer","format":"int32","nullable":false}},"additionalProperties":false},"StatusUpdate":{"type":"object","properties":{"status":{"type":"string","nullable":false,"enum":["ACCEPTED","REJECTED"]}},"additionalProperties":false},"HostsCreateAccount":{"type":"object","properties":{"user":{"maximum":2147483647,"minimum":0,"type":"integer","format":"int32","nullable":false},"authorizationCode":{"pattern":".*","type":"string","nullable":false}},"additionalProperties":false},"AccountLink":{"type":"object","properties":{"stripeUrl":{"pattern":".*","type":"string","nullable":false}},"additionalProperties":false},"StripePaymentMethod":{"type":"object","properties":{"id":{"type":"string","nullable":false},"card_type":{"type":"string","nullable":false},"card_last_four":{"type":"integer","format":"int64","nullable":false},"card_expire_month":{"type":"integer","format":"int64","nullable":false},"card_expire_year":{"type":"integer","format":"int64","nullable":false},"description":{"type":"string","nullable":false}},"additionalProperties":false},"FeesAndTaxes":{"type":"object","properties":{"paymentIntentFee":{"minimum":0,"type":"number","format":"double","nullable":false},"netPaymentUnitary":{"minimum":0,"type":"number","format":"double","nullable":false},"toshareFee":{"minimum":0,"type":"number","format":"double","nullable":false},"netUserBalancePerInscription":{"minimum":0,"type":"number","format":"double","nullable":false},"transferPayoutUnitaryFee":{"minimum":0,"type":"number","format":"double","nullable":false},"transferPayoutUnitaryTax":{"minimum":0,"type":"number","format":"double","nullable":false},"transferTotalUnitaryFee":{"minimum":0,"type":"number","format":"double","nullable":false},"transferAmountUnitary":{"minimum":0,"type":"number","format":"double","nullable":false},"grossTotalEarning":{"minimum":0,"type":"number","format":"double","nullable":false},"transferPayoutStripeUnitaryFee":{"minimum":0,"type":"number","format":"double","nullable":false},"transferPayoutStripeTotalFee":{"minimum":0,"type":"number","format":"double","nullable":false},"transferPayoutToshareTotalFee":{"minimum":0,"type":"number","format":"double","nullable":false},"transferPayoutTotalTax":{"minimum":0,"type":"number","format":"double","nullable":false},"transferAmount":{"minimum":0,"type":"number","format":"double","nullable":false},"taxPercentage":{"minimum":0,"type":"number","format":"double","nullable":false}},"additionalProperties":false},"FeesAndTaxesInscription":{"type":"object","properties":{"inscriptionPrice":{"minimum":0,"type":"number","format":"double","nullable":false},"inscriptionRegisteredUsers":{"minimum":1,"type":"integer","format":"fat32","nullable":false}},"additionalProperties":false},"RequestStatusUpdate":{"type":"object","properties":{"status":{"type":"string","nullable":false,"enum":["ACCEPTED","REJECTED"]}}}},"securitySchemes":{"password":{"type":"oauth2","flows":{"implicit":{"authorizationUrl":"/auth","scopes":{}}},"x-google-issuer":"https://securetoken.google.com/YOUR-PROJECT-ID","x-google-jwks_uri":"https://www.googleapis.com/service_accounts/v1/metadata/x509/securetoken@system.gserviceaccount.com","x-google-audiences":"YOUR-PROJECT-ID"}}}}